% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/GS.R
\name{RRBLUPMemUse}
\alias{RRBLUPMemUse}
\title{RRBLUP Memory Usage}
\usage{
RRBLUPMemUse(nInd, nMarker, model = "REG")
}
\arguments{
\item{nInd}{the number of individuals in the training population}

\item{nMarker}{the number of markers per individual}

\item{model}{either "REG", "GCA", or "SCA" for \code{\link{RRBLUP}} 
\code{\link{RRBLUP_GCA}} and \code{\link{RRBLUP_SCA}} respectively.}
}
\value{
Returns an estimate for the required gigabytes of RAM
}
\description{
Estimates the amount of RAM needed to run the \code{\link{RRBLUP}}
and its related functions for a given training population size. 
Note that this function may underestimate total usage.
}
\examples{
RRBLUPMemUse(nInd=1000, nMarker=5000)

}
