% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/popSummary.R
\name{pheno}
\alias{pheno}
\title{Phenotype}
\usage{
pheno(pop)
}
\arguments{
\item{pop}{a \code{\link{Pop-class}} or similar object}
}
\description{
A wrapper for accessing the pheno slot
}
\examples{
#Create founder haplotypes
founderPop = quickHaplo(nInd=10, nChr=1, segSites=10)

#Set simulation parameters
SP = SimParam$new(founderPop)
SP$addTraitAD(10, meanDD=0.5)
SP$setVarE(h2=0.5)

#Create population
pop = newPop(founderPop, simParam=SP)
pheno(pop)

}
