% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{solveRRBLUP_EM}
\alias{solveRRBLUP_EM}
\title{Solve RR-BLUP with EM}
\usage{
solveRRBLUP_EM(Y, X, M, Vu, Ve, tol, maxIter, useEM)
}
\arguments{
\item{Y}{a matrix with n rows and 1 column}

\item{X}{a matrix with n rows and x columns}

\item{M}{a matrix with n rows and m columns}

\item{Vu}{initial guess for variance of marker effects}

\item{Ve}{initial guess for error variance}

\item{tol}{tolerance for declaring convergence}

\item{maxIter}{maximum iteration for attempting convergence}

\item{useEM}{should EM algorithm be used. If false, no estimation of
variance components is performed. The initial values are treated as true.}
}
\description{
Solves a univariate mixed model of form \eqn{y=X\beta+Mu+e} using
the Expectation-Maximization algorithm.
}
