% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/writeRecords.R
\name{writeRecords}
\alias{writeRecords}
\title{Write data records}
\usage{
writeRecords(
  pop,
  dir,
  snpChip = 1,
  useQtl = FALSE,
  includeHaplo = FALSE,
  append = TRUE,
  simParam = NULL
)
}
\arguments{
\item{pop}{an object of \code{\link{Pop-class}}}

\item{dir}{path to a directory for saving output}

\item{snpChip}{which SNP chip genotype to save. If useQtl=TRUE, this
value will indicate which trait's QTL genotype to save. A value of
0 will skip writing a snpChip.}

\item{useQtl}{should QTL genotype be written instead of SNP chip
genotypes.}

\item{includeHaplo}{should markers be separated by female and male
haplotypes.}

\item{append}{if true, new records are added to any existing records.
If false, any existing records are deleted before writing new records.
Note that this will delete all files in the 'dir' directory.}

\item{simParam}{an object of \code{\link{SimParam}}}
}
\description{
Saves a population's phenotypic and marker data to a directory.
}
